# TYCamport3: TY_FEATURE_INFO Struct Reference

TY_FEATURE_INFO Struct Reference

## Public Attributes

bool | isValid
| true if feature exists, false otherwise
TY_ACCESS_MODE | accessMode
| feature access privilege
bool | writableAtRun
| feature can be written while capturing
char | reserved0 [1]
TY_COMPONENT_ID | componentID
| owner of this feature
TY_FEATURE_ID | featureID
| feature unique id
char | name [32]
| describe string
TY_COMPONENT_ID | bindComponentID
| component ID current feature bind to
TY_FEATURE_ID | bindFeatureID
| feature ID current feature bind to
char | reserved [252]

## Detailed Description

Definition at line 682 of file TYApi.h.

The documentation for this struct was generated from the following file:

- TYApi.h